# Tyler Forge™ Components

Welcome to Tyler Forge™, a design system and component library for building modern web applications.

Tyler Forge provides a set of UI components and styles that can be used to create consistent and accessible user interfaces. Forge is built using [Web Components][2],
which are a set of web platform APIs that allow you to create new custom, reusable, encapsulated HTML tags to use in web pages just as you would with any other
built-in HTML element. Web components are based on existing web standards, and can be used with any modern web framework or no framework at all.

Forge components are an implementation of the [Tyler Forge™ design system][1], which provides the design language that can be used to create a consistent look and
feel across your products and applications. The design system is a derivative of [Material Design][3], but has been tailored to the needs of Tyler Technologies
and its broad customer base.

[![NPM Version](https://img.shields.io/npm/v/%40tylertech%2Fforge?style=for-the-badge)](https://www.npmjs.com/package/@tylertech/forge)
[![NPM Downloads](https://img.shields.io/npm/dt/%40tylertech%2Fforge?style=for-the-badge)](https://www.npmjs.com/package/@tylertech/forge)

## Important links

- [Documentation][4]
- [Forge 2.x Documentation](https://forge.tylerdev.io/version-2)
- [Contributing][5]
- [Changelog][6]

## Local development

To develop locally, fork this repository, and then run the following commands from the root of the project to view the dev site:

```bash
npm install
npm start
```

You can also view the Storybook documentation site by running:

```bash
npm run storybook
```

## Need help?

Please [create](https://github.com/tyler-technologies-oss/forge/issues/new/choose) a GitHub issue with any questions and we'll be glad to help!

[1]: https://forge.tylertech.com/
[2]: https://developer.mozilla.org/en-US/docs/Web/API/Web_components
[3]: https://m2.material.io/
[4]: https://forge.tylerdev.io/
[5]: https://github.com/tyler-technologies-oss/forge/blob/main/CONTRIBUTING.md
[6]: https://github.com/tyler-technologies-oss/forge/blob/main/CHANGELOG.md

