/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../core/base';
import { IExpansionPanelComponent } from '../expansion-panel';
import { IAccordionComponent } from './accordion';
export interface IAccordionAdapter extends IBaseAdapter {
    isNestedPanel(element: HTMLElement): boolean;
    getChildPanels(selector?: string): IExpansionPanelComponent[];
}
export declare class AccordionAdapter extends BaseAdapter<IAccordionComponent> implements IAccordionAdapter {
    constructor(component: IAccordionComponent);
    /**
     * Determines if the given expansion panel element is nested within another expansion panel.
     * @param element The expansion panel element to test.
     */
    isNestedPanel(element: HTMLElement): boolean;
    /**
     * Finds all child `<forge-expansion-panel>` components within the host element.
     * @returns An array of `ExpansionPanelComponent` child instances.
     */
    getChildPanels(selector?: string): IExpansionPanelComponent[];
}
