/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../../core/base/base-adapter';
import { IAppBarComponent } from './app-bar';
export interface IAppBarAdapter extends IBaseAdapter {
    initialize(): void;
    setTitleText(value: string): void;
    setHref(value: string, listener: EventListener): void;
    setTarget(value: string): void;
    addCenterSlotListener(listener: (evt: Event) => void): void;
    setCenterSlotVisibility(): void;
}
export declare class AppBarAdapter extends BaseAdapter<IAppBarComponent> implements IAppBarAdapter {
    private _rootElement;
    private _titleElement;
    private _logoTitleContainerElement;
    private _centerSectionElement;
    private _centerSlotElement;
    constructor(component: IAppBarComponent);
    initialize(): void;
    setTitleText(value: string): void;
    setHref(value: string, listener: EventListener): void;
    setTarget(value: string): void;
    addCenterSlotListener(listener: (evt: Event) => void): void;
    setCenterSlotVisibility(): void;
    private _createAnchorElement;
    private _createTitleElement;
}
