/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IAppBarAdapter } from './app-bar-adapter';
import { AppBarElevation, AppBarTheme, AppBarThemeMode } from './app-bar-constants';
export interface IAppBarCore {
    titleText: string;
    elevation: AppBarElevation;
    theme: string;
    themeMode: AppBarThemeMode;
    href: string;
    target: string;
}
export declare class AppBarCore implements IAppBarCore {
    private _adapter;
    private _titleText;
    private _elevation;
    private _theme;
    private _href;
    private _target;
    private _themeMode;
    private _centerSlotListener;
    private _anchorClickListener;
    constructor(_adapter: IAppBarAdapter);
    initialize(): void;
    private _onHrefClick;
    get titleText(): string;
    set titleText(value: string);
    get elevation(): AppBarElevation;
    set elevation(value: AppBarElevation);
    get theme(): AppBarTheme;
    set theme(value: AppBarTheme);
    get href(): string;
    set href(value: string);
    get target(): string;
    set target(value: string);
    get themeMode(): AppBarThemeMode;
    set themeMode(value: AppBarThemeMode);
}
