/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../../core/base/base-adapter';
import { IMenuOption } from '../../menu';
import type { IAppBarHelpButtonComponent } from './app-bar-help-button';
export interface IAppBarHelpButtonAdapter extends IBaseAdapter {
    initialize(): void;
    destroy(): void;
    setMenuOptions(options: IMenuOption[]): void;
    setIcon(icon: string): void;
}
export declare class AppBarHelpButtonAdapter extends BaseAdapter<IAppBarHelpButtonComponent> implements IAppBarHelpButtonAdapter {
    private _menuElement;
    private _iconButtonElement;
    private _iconElement;
    private _forwardObserver?;
    constructor(component: IAppBarHelpButtonComponent);
    initialize(): void;
    destroy(): void;
    setMenuOptions(options: IMenuOption[]): void;
    setIcon(icon: string): void;
}
