/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseComponent, IBaseComponent } from '../../core/base/base-component';
export interface IAppBarMenuButtonComponent extends IBaseComponent {
    icon: string;
}
declare global {
    interface HTMLElementTagNameMap {
        'forge-app-bar-menu-button': IAppBarMenuButtonComponent;
    }
}
/**
 * @tag forge-app-bar-menu-button
 *
 * @description A utility component with predefined icon and descriptions for use in an app bar `start` slot.
 *
 * @property {string} [icon=menu] - The name of an alternative icon to display.
 *
 * @attribute {string} [icon=menu] - The name of an alternative icon to display.
 * @attribute {string} [aria-label] - The aria-label to apply to the button.
 * @attribute {string} [aria-labelledby] - The id of an element to use as the aria-labelledby attribute.
 */
export declare class AppBarMenuButtonComponent extends BaseComponent implements IAppBarMenuButtonComponent {
    static get observedAttributes(): string[];
    private _iconButtonElement;
    private _iconElement;
    private _forwardObserver?;
    private _iconName;
    constructor();
    initializedCallback(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    get icon(): string;
    set icon(value: string);
}
