/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseComponent, IBaseComponent } from '../../core/base/base-component';
declare global {
    interface HTMLElementTagNameMap {
        'forge-app-bar-notification-button': IAppBarNotificationButtonComponent;
    }
}
export interface IAppBarNotificationButtonComponent extends IBaseComponent {
    count: string | number | null | undefined;
    dot: boolean;
    showBadge: boolean;
    theme: string;
    icon: string;
}
/**
 * @tag forge-app-bar-notification-button
 *
 * @property {number | string} [count = 0] - The number to display in the badge.
 * @property {boolean} [dot = false] - Whether to display the dot variant of the badge or not.
 * @property {boolean} [showBadge = false] - Whether to display the badge or not.
 * @property {string} [theme = ""] - The theme to apply to the badge.
 * @property {string} [icon = notifications] - The name of an alternative icon to display.
 *
 * @attribute {string} [count = 0] - The number to display in the badge.
 * @attribute {boolean} [dot = false] - Whether to display the dot variant of the badge or not.
 * @attribute {boolean} [show-badge = false] - Whether to display the badge or not.
 * @attribute {string} [theme = ""] - The theme to apply to the badge.
 * @attribute {string} [icon = notifications] - The name of an alternative icon to display.
 * @attribute {string} [aria-label] - The aria-label to apply to the button.
 * @attribute {string} [aria-labelledby] - The id of an element to use as the aria-labelledby attribute.
 */
export declare class AppBarNotificationButtonComponent extends BaseComponent implements IAppBarNotificationButtonComponent {
    static get observedAttributes(): string[];
    private _core;
    constructor();
    initializedCallback(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    count: string | number | null | undefined;
    dot: boolean;
    theme: string;
    icon: string;
    showBadge: boolean;
}
