/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../../core/base/base-adapter';
import { IAppBarSearchComponent } from './app-bar-search';
export interface IAppBarSearchAdapter extends IBaseAdapter {
    initialize(): void;
    addInputEventListener(type: string, listener: (evt: Event) => void): void;
    removeInputEventListener(type: string, listener: (evt: Event) => void): void;
    setInputProperty<T extends keyof HTMLInputElement>(name: T, value: HTMLInputElement[T]): void;
    getInputProperty<T extends keyof HTMLInputElement>(name: T): HTMLInputElement[T];
}
export declare class AppBarSearchAdapter extends BaseAdapter<IAppBarSearchComponent> implements IAppBarSearchAdapter {
    private _rootElement;
    private _inputElement;
    constructor(component: IAppBarSearchComponent);
    initialize(): void;
    addInputEventListener(type: string, listener: (evt: Event) => void): void;
    removeInputEventListener(type: string, listener: (evt: Event) => void): void;
    setInputProperty<T extends keyof HTMLInputElement>(name: T, value: HTMLInputElement[T]): void;
    getInputProperty<T extends keyof HTMLInputElement>(name: T): HTMLInputElement[T];
}
