/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IAutocompleteOption, IAutocompleteOptionGroup } from './autocomplete-constants';
/** The available option types. */
export declare enum OptionType {
    Option = 0,
    Group = 1
}
/**
 * Determines if the provided options are of the specified type.
 * @param options The options either grouped or individual.
 * @param type The type of option to detect.
 */
export declare function isOptionType(options: IAutocompleteOption[] | IAutocompleteOptionGroup[], type: OptionType): boolean;
/** A utility function to find the matching option in the provided options by the value provided. */
export declare function getSelectedOption(options: IAutocompleteOption[], value: string): IAutocompleteOption | undefined;
/** A predicate function that will determine if an option value is equal regardless of primitive type or complex object type. */
export declare function optionEqualPredicate(option: IAutocompleteOption, value: any, property?: string | null): boolean;
