/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IButtonToggleGroupAdapter } from './button-toggle-group-adapter';
import { ButtonToggleGroupTheme } from './button-toggle-group-constants';
export interface IButtonToggleGroupCore {
    value: unknown;
    multiple: boolean;
    stretch: boolean;
    mandatory: boolean;
    vertical: boolean;
    dense: boolean;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    outlined: boolean;
    theme: ButtonToggleGroupTheme;
}
export declare class ButtonToggleGroupCore implements IButtonToggleGroupCore {
    private _adapter;
    private _values;
    private _outlined;
    private _multiple;
    private _mandatory;
    private _vertical;
    private _stretch;
    private _dense;
    private _disabled;
    private _readonly;
    private _required;
    private _theme;
    private _selectListener;
    private _slotListener;
    constructor(_adapter: IButtonToggleGroupAdapter);
    initialize(): void;
    destroy(): void;
    private _synchronize;
    private _onSelect;
    private _applyValue;
    get value(): any;
    set value(value: any);
    get multiple(): boolean;
    set multiple(value: boolean);
    get mandatory(): boolean;
    set mandatory(value: boolean);
    get vertical(): boolean;
    set vertical(value: boolean);
    get stretch(): boolean;
    set stretch(value: boolean);
    get dense(): boolean;
    set dense(value: boolean);
    get disabled(): boolean;
    set disabled(value: boolean);
    get readonly(): boolean;
    set readonly(value: boolean);
    get required(): boolean;
    set required(value: boolean);
    get outlined(): boolean;
    set outlined(value: boolean);
    get theme(): ButtonToggleGroupTheme;
    set theme(value: ButtonToggleGroupTheme);
}
