/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseComponentDelegate, IBaseComponentDelegateConfig, IBaseComponentDelegateOptions } from '../core/delegates/base-component-delegate';
import { ButtonType } from './base/base-button-constants';
import { IButtonComponent } from './button';
import { ButtonVariant } from './button-constants';
export type ButtonComponentDelegateProps = Partial<IButtonComponent>;
export interface IButtonComponentDelegateOptions extends IBaseComponentDelegateOptions {
    variant?: ButtonVariant;
    type?: ButtonType;
    text?: string;
}
export interface IButtonComponentDelegateConfig extends IBaseComponentDelegateConfig<IButtonComponent, IButtonComponentDelegateOptions> {
}
export declare class ButtonComponentDelegate extends BaseComponentDelegate<IButtonComponent, IButtonComponentDelegateOptions> {
    constructor(config?: IButtonComponentDelegateConfig);
    protected _build(): IButtonComponent;
    onClick(listener: (evt: MouseEvent) => void): void;
    onFocus(listener: (evt: Event) => void): void;
    onBlur(listener: (evt: Event) => void): void;
}
