/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { DayOfWeek } from './calendar-constants';
/** Returns a localized day name. */
export declare function getLocalizedDayOfWeek(day: DayOfWeek, format: 'long' | 'short' | 'narrow' | undefined, locale?: string): string;
/** Returns a localized date of the month. */
export declare function getLocalizedDayOfMonth(date: number, format: 'numeric' | '2-digit' | undefined, locale?: string): string;
/** Returns a localized month name. */
export declare function getLocalizedMonth(month: number, format: 'long' | 'short' | 'narrow' | 'numeric' | '2-digit' | undefined, locale?: string): string;
/** Returns a localized year name. */
export declare function getLocalizedYear(year: number, format: 'numeric' | '2-digit' | undefined, locale?: string): string;
/** Returns the first day of week for a locale. */
export declare function getFirstDayOfWeekForLocale(locale?: string): DayOfWeek;
/** Returns an array of weekend days for a locale. */
export declare function getWeekendDaysForLocale(locale?: string): DayOfWeek[];
/** Returns whether a language is written right-to-left. */
export declare function isRtlLocale(locale?: string): boolean;
