/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IOption } from '../../select';
export declare const CALENDAR_MENU_CONSTANTS: {
    elementName: "forge-calendar-menu";
    attributes: {
        ANIMATION_TYPE: string;
        DATA_ANIMATION: string;
        DATA_VALUE: string;
        POPOVER_CONTEXT: string;
        PREVENT_FOCUS: string;
    };
    classes: {
        BACKDROP: string;
        CLOSING: string;
        GRID: string;
        GRID_ITEM: string;
        GRID_FOUR_COL: string;
        GRID_THREE_COL: string;
        ITEM: string;
        ITEM_FOCUSED: string;
        ITEM_SELECTED: string;
        LIST: string;
        LIST_ITEM: string;
        LIST_WRAPPER: string;
        OPEN: string;
        REPLACING_VIEW: string;
        SLIDE_LEFT: string;
        SLIDE_RIGHT: string;
        VIEW: string;
    };
    ids: {
        SCROLL_SPY_BOTTOM: string;
        SCROLL_SPY_TOP: string;
    };
    parts: {
        ITEM: string;
        ITEM_BUTTON: string;
        ITEM_CONTENT: string;
        MENU: string;
    };
    selectors: {
        CONTAINER: string;
        FOCUSED: string;
        GRID: string;
        ITEM: string;
        LIST: string;
        LIST_WRAPPER: string;
        SCROLL_SPY_BOTTOM: string;
        SCROLL_SPY_TOP: string;
        SELECTED: string;
        VIEW: string;
    };
    events: {
        FOCUS_CHANGE: string;
        SELECT: string;
    };
    numbers: {
        FOUR_COL: number;
        LARGE_ITEM_SET: number;
        LIST_SLICE_SIZE: number;
        THREE_COL: number;
    };
};
export interface ICalendarMenuOption extends Omit<IOption, 'value'> {
    selected?: boolean;
    value: number;
}
export type CalendarDirection = 'left' | 'right';
export type CalendarMenuAnimationType = 'scale' | 'fade' | 'none';
