/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICheckboxAdapter } from './checkbox-adapter';
import { CheckboxLabelPosition } from './checkbox-constants';
export interface ICheckboxCore {
    checked: boolean;
    defaultChecked: boolean;
    indeterminate: boolean;
    value: string;
    dense: boolean;
    disabled: boolean;
    required: boolean;
    readonly: boolean;
    labelPosition: CheckboxLabelPosition;
}
export declare class CheckboxCore implements ICheckboxCore {
    private _adapter;
    private _checked;
    private _defaultChecked;
    private _indeterminate;
    private _value;
    private _dense;
    private _disabled;
    private _required;
    private _readonly;
    private _labelPosition;
    private get _submittedValue();
    private get _formState();
    private readonly _clickListener;
    private readonly _keydownListener;
    private readonly _keyupListener;
    constructor(_adapter: ICheckboxAdapter);
    initialize(): void;
    private _handleKeydown;
    private _handleKeyup;
    private _handleChange;
    get checked(): boolean;
    set checked(value: boolean);
    get defaultChecked(): boolean;
    set defaultChecked(value: boolean);
    get indeterminate(): boolean;
    set indeterminate(value: boolean);
    get value(): string;
    set value(value: string);
    get dense(): boolean;
    set dense(value: boolean);
    get disabled(): boolean;
    set disabled(value: boolean);
    get required(): boolean;
    set required(value: boolean);
    get readonly(): boolean;
    set readonly(value: boolean);
    get labelPosition(): CheckboxLabelPosition;
    set labelPosition(value: CheckboxLabelPosition);
}
