/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
declare const observedInputAttributes: readonly ["disabled", "placeholder"];
export declare const CHIP_FIELD_CONSTANTS: {
    elementName: "forge-chip-field";
    observedAttributes: {
        ADD_ON_BLUR: string;
    };
    attributes: {
        ADD_ON_BLUR: string;
    };
    selectors: {
        CONTAINER: string;
        INPUT: string;
        MEMBER_SLOT: string;
        MEMBER: string;
    };
    classes: {
        HAS_MEMBERS: string;
    };
    events: {
        MEMBER_ADDED: string;
        MEMBER_REMOVED: string;
    };
    observedInputAttributes: readonly ["disabled", "placeholder"];
    tagNames: {
        TEXTAREA: string;
        LABEL: string;
    };
};
export { type FieldDensity as ChipFieldDensityType, type FieldShape as ChipFieldShapeType } from '../field/base/base-field-constants';
export type ChipFieldObservedInputAttributes = (typeof observedInputAttributes)[number];
export type ChipFieldInputAttributeObserver = (name: ChipFieldObservedInputAttributes, value: string | null) => void;
export type ChipFieldValueChangeListener = (value: string | null) => void;
