/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { Theme } from '../../constants';
export declare const CHIP_CONSTANTS: {
    elementName: "forge-chip";
    observedAttributes: {
        TYPE: string;
        VALUE: string;
        SELECTED: string;
        INVALID: string;
        DISABLED: string;
        DENSE: string;
        THEME: string;
        HREF: string;
        TARGET: string;
        DOWNLOAD: string;
        REL: string;
    };
    attributes: {
        TYPE: string;
        VALUE: string;
        SELECTED: string;
        INVALID: string;
        DISABLED: string;
        DENSE: string;
        THEME: string;
        HREF: string;
        TARGET: string;
        DOWNLOAD: string;
        REL: string;
    };
    selectors: {
        ROOT: string;
        TRIGGER: string;
    };
    events: {
        DELETE: string;
        SELECT: string;
        NAVIGATE: string;
    };
    defaults: {
        TYPE: ChipType;
        THEME: ChipTheme;
    };
};
export type ChipTheme = Theme;
export type ChipType = 'choice' | 'filter' | 'action' | 'input' | 'field';
export interface IChipSelectEventData<T = any> {
    value: T;
    selected: boolean;
}
export interface IChipDeleteEventData<T = any> {
    value: T;
}
export interface IChipState {
    type: ChipType;
    disabled: boolean;
    dense: boolean;
}
export interface IChipNavigateEventData {
    direction: 'previous' | 'next';
}
