/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
export interface IColorPickerSliderOptions {
    min: number;
    max: number;
    step: number;
    change: (value: number) => void;
}
export declare class ColorPickerSlider {
    private _rootElement;
    private _changeListener;
    private _percent;
    private _min;
    private _max;
    private _step;
    private _thumbElement;
    private _keydownListener;
    private _downListener;
    private _moveListener;
    private _upListener;
    constructor(_rootElement: HTMLElement, _changeListener: (value: number) => void);
    destroy(): void;
    setValue(value: number): void;
    private _initialize;
    private _listen;
    private _unlisten;
    private _onKeydown;
    private _onDown;
    private _onMove;
    private _onUp;
    private _updateThumbPosition;
    private _calculateSliderPercent;
    private _setThumbPosition;
    private _notify;
}
