/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
export interface IBaseComponent extends HTMLElement {
    initializedCallback?(): void;
    connectedCallback?(): void;
    disconnectedCallback?(): void;
    attributeChangedCallback?(name: string, oldValue: string, newValue: string): void;
    adoptedCallback(): void;
}
export declare abstract class BaseComponent extends HTMLElement implements IBaseComponent {
    adoptedCallback(): void;
}
