/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseFormComponent, IBaseFormComponent } from './base-form-component';
export interface IBaseNullableFormComponent<T = string> extends IBaseFormComponent<T> {
    required: boolean;
    readonly validity: ValidityState;
    readonly validationMessage: string;
    readonly willValidate: boolean;
    checkValidity(): boolean;
    reportValidity(): boolean;
    setCustomValidity(error: string): void;
}
export declare abstract class BaseNullableFormComponent<T = string> extends BaseFormComponent<T> {
    abstract required: boolean;
    abstract get validity(): ValidityState;
    abstract get validationMessage(): string;
    abstract get willValidate(): boolean;
    protected _hasCustomValidityError: boolean;
    abstract checkValidity(): boolean;
    abstract reportValidity(): boolean;
    abstract setCustomValidity(error: string): void;
}
