/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
export type CanNavigateCallback = (index: number) => boolean;
export interface IKeyManagerConfig {
    canNavigateCallback?: CanNavigateCallback;
}
export declare const NAVIGATION_KEYS: string[];
export declare class KeyManager {
    private _config?;
    constructor(_config?: IKeyManagerConfig | undefined);
    isNavigationKey({ key, ctrlKey, altKey, shiftKey, metaKey }: KeyboardEvent): boolean;
    navigate(key: string, currentIndex: number, total: number): number;
    calculateNextIndex(key: string, total: number): number;
    canNavigateAtIndex(index: number): boolean;
}
