/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
/**
 * Proxies a `scroll` event from an element and dispatches it from another element.
 * Typically used when proxying the event from an element within a shadow root from its host element in the light dom.
 * @param originalEl The element that the `scroll` event originated from.
 * @param targetEl The element to manually dispatch (proxy) the `scroll` event from.
 */
export declare function proxyShadowScrollEvent(shadowEl: Node, proxyEl: Node): () => void;
export declare function eventIncludesArrowKey(evt: KeyboardEvent): boolean;
/**
 * Returns the composed path of an event stopping at the given element.
 * @param fromElement The element to start the composed path from.
 * @param evt The event to get the composed path from.
 * @returns An array of elements in the composed path starting from the given element.
 */
export declare function composedPathFrom(fromElement: HTMLElement, evt: Event): HTMLElement[];
