/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
/**
 * Detects if the browser supports the `popover` attribute.
 * @returns {boolean}
 */
export declare function supportsPopover(): boolean;
/**
 * Detects if the browser supports ARIA properties in Element Internals.
 *
 * This currently always returns false because tooling is not yet able able to detect properties
 * set on Element Internals.
 * @returns {boolean}
 */
export declare function supportsElementInternalsAria(): boolean;
/**
 * Detects if the browser supports the hovering elements as the users primary input mechanism.
 * @returns {boolean}
 */
export declare function supportsHover(): boolean;
/**
 * Detects if the browser is set to prefer reduced motion.
 * @returns {boolean}
 */
export declare function prefersReducedMotion(): boolean;
