/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
/**
 * Combines multiple mixins into a single component class.
 *
 * @param base - The base mixin to start with.
 * @param mixins - The mixins to combine.
 * @returns The combined component class.
 */
export function combineMixins(base, ...mixins) {
    return mixins.reduce((acc, cur) => cur(acc), base);
}
