/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICalendarDropdownPopupConfig } from '../calendar/calendar-dropdown';
import { IDateInputMaskOptions } from '../core/mask/date-input-mask';
import { BaseDatePickerAdapter, IBaseDatePickerAdapter } from './base/base-date-picker-adapter';
import { IDatePickerCalendarDropdownConfig } from './base/base-date-picker-constants';
import { IDatePickerComponent } from './date-picker';
export interface IDatePickerAdapter extends IBaseDatePickerAdapter {
}
export declare class DatePickerAdapter extends BaseDatePickerAdapter<IDatePickerComponent> implements IDatePickerAdapter {
    private _inputElement;
    private _inputMask;
    private _dropdownIdentifier;
    constructor(component: IDatePickerComponent);
    protected _initializeInput(): void;
    protected _initializeCalendarDropdown(): void;
    initializeMask(options: IDateInputMaskOptions): void;
    destroyMask(): void;
    initializeAccessibility(): void;
    addInputListener(type: string, listener: (event: Event) => void, capture?: boolean): void;
    removeInputListener(type: string, listener: (event: Event) => void, capture?: boolean): void;
    setInputValueChangedListener(context: any, listener: (value: any) => void): void;
    hasInputElement(): boolean;
    attachCalendar(calendarConfig: IDatePickerCalendarDropdownConfig<Date | null>, dropdownConfig?: ICalendarDropdownPopupConfig): void;
    detachCalendar(): void;
    setActiveDescendant(id: string): void;
    setInputValue(value: string, emitEvents: boolean): void;
    isInputDisabled(): boolean;
    isInputFocused(): boolean;
    getInputValue(): string;
    setDisabled(value: boolean): void;
    tryFocusInput(): void;
    tryBlurInput(): void;
    selectInputText(): void;
    emitInputEvent(type: string, data?: any): void;
}
