/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseComponentDelegate, IBaseComponentDelegateConfig, IBaseComponentDelegateOptions } from '../../core/delegates/base-component-delegate';
import { IDeprecatedButtonComponent } from './deprecated-button';
export type DeprecatedButtonComponentDelegateProps = Partial<IDeprecatedButtonComponent>;
export interface IDeprecatedButtonComponentDelegateOptions extends IBaseComponentDelegateOptions {
    type?: 'button' | 'submit';
    text?: string;
}
export interface IDeprecatedButtonComponentDelegateConfig extends IBaseComponentDelegateConfig<IDeprecatedButtonComponent, IDeprecatedButtonComponentDelegateOptions> {
}
export declare class DeprecatedButtonComponentDelegate extends BaseComponentDelegate<IDeprecatedButtonComponent, IDeprecatedButtonComponentDelegateOptions> {
    private _buttonElement?;
    constructor(config?: IDeprecatedButtonComponentDelegateConfig);
    destroy(): void;
    get buttonElement(): HTMLButtonElement | undefined;
    protected _build(): IDeprecatedButtonComponent;
    onClick(listener: (evt: MouseEvent) => void): void;
    onFocus(listener: (evt: Event) => void): void;
    onBlur(listener: (evt: Event) => void): void;
}
