/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../../core/base/base-adapter';
import { IBaseDrawerComponent } from './base-drawer';
import { DrawerDirection } from './base-drawer-constants';
export interface IBaseDrawerAdapter extends IBaseAdapter {
    proxyScrollEvent(): void;
    tryUnproxyScrollEvent(): void;
    setDirection(direction: DrawerDirection): void;
    removeDrawerClass(className: string | string[]): void;
    setDrawerClass(className: string | string[]): void;
    listenTransitionComplete(listener: () => void): void;
}
export declare class BaseDrawerAdapter extends BaseAdapter<IBaseDrawerComponent> implements IBaseDrawerAdapter {
    protected _component: IBaseDrawerComponent;
    protected _drawerElement: HTMLElement;
    private _activeTransitionListener;
    private _unproxyScrollEventCb;
    constructor(_component: IBaseDrawerComponent);
    proxyScrollEvent(): void;
    tryUnproxyScrollEvent(): void;
    setDirection(direction: DrawerDirection): void;
    removeDrawerClass(className: string | string[]): void;
    setDrawerClass(className: string | string[]): void;
    listenTransitionComplete(listener: () => void): void;
}
