/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IBaseDrawerAdapter } from './base-drawer-adapter';
import { DrawerDirection } from './base-drawer-constants';
export interface IBaseDrawerCore {
    direction: DrawerDirection;
}
export declare class BaseDrawerCore implements IBaseDrawerCore {
    protected _adapter: IBaseDrawerAdapter;
    protected _open: boolean;
    protected _direction: DrawerDirection;
    private _openAnimationListener;
    private _closeAnimationListener;
    constructor(_adapter: IBaseDrawerAdapter);
    initialize(): void;
    destroy(): void;
    private _applyDirection;
    private _onOpenComplete;
    private _onCloseComplete;
    private _setOpened;
    private _setClosed;
    protected _applyOpen(): void;
    protected _triggerDrawerOpen(): Promise<void>;
    protected _triggerDrawerClose(): Promise<void>;
    get open(): boolean;
    set open(value: boolean);
    get direction(): DrawerDirection;
    set direction(value: DrawerDirection);
}
