/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseDrawerAdapter, IBaseDrawerAdapter } from '../base';
import { IModalDrawerComponent } from './modal-drawer';
export interface IModalDrawerAdapter extends IBaseDrawerAdapter {
    setBackdropCloseListener(listener: EventListener): void;
    setBackdropVisibility(visible: boolean, options?: {
        immediate?: boolean;
    }): Promise<void>;
    toggleBackdropClass(hasClass: boolean, className: string): void;
}
export declare class ModalDrawerAdapter extends BaseDrawerAdapter implements IModalDrawerAdapter {
    protected _component: IModalDrawerComponent;
    private _backdropElement;
    constructor(_component: IModalDrawerComponent);
    setBackdropCloseListener(listener: EventListener): void;
    setBackdropVisibility(visible: boolean, { immediate }: {
        immediate?: boolean;
    }): Promise<void>;
    toggleBackdropClass(hasClass: boolean, className: string): void;
}
