/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../core/base/base-adapter';
import { IExpansionPanelComponent } from './expansion-panel';
export interface IExpansionPanelAdapter extends IBaseAdapter {
    readonly triggerElement?: HTMLElement | null;
    setAnimationCompleteListener(listener: () => void): void;
    addContentSlotListener(listener: EventListener): void;
    addHeaderListener(type: keyof HTMLElementEventMap, listener: EventListener): void;
    removeTriggerListeners(options?: {
        reset: boolean;
    }): void;
    addTriggerListener(type: keyof HTMLElementEventMap, listener: EventListener): void;
    tryToggleOpenIcon(value: boolean): void;
    setContentVisibility(visible: boolean): void;
    animationStart(): void;
    animationEnd(): void;
    setTriggerElementById(id: string): void;
    setTriggerElement(el?: HTMLElement | null): void;
    setContentId(): void;
    updateAriaControls(): void;
    updateAriaExpanded(open: boolean): void;
    detachTriggerAria(): void;
}
export declare class ExpansionPanelAdapter extends BaseAdapter<IExpansionPanelComponent> implements IExpansionPanelAdapter {
    private _headerElement;
    private _contentElement;
    private _innerElement;
    private _defaultSlotElement;
    private _triggerListenerController;
    private _triggerElement?;
    private _transitionStartListener;
    private _transitionEndListener;
    private _transitionCompleteListener;
    constructor(component: IExpansionPanelComponent);
    get triggerElement(): HTMLElement | null | undefined;
    private get _slottedContentElement();
    private set _slottedContentId(value);
    private get _slottedContentId();
    setTriggerElementById(id: string): void;
    setAnimationCompleteListener(listener: () => void): void;
    addContentSlotListener(listener: EventListener): void;
    addHeaderListener(type: keyof HTMLElementEventMap, listener: EventListener): void;
    removeTriggerListeners(options?: {
        reset: boolean;
    }): void;
    addTriggerListener(type: keyof HTMLElementEventMap, listener: EventListener): void;
    tryToggleOpenIcon(value: boolean): void;
    setContentVisibility(visible: boolean): void;
    private _onTransitionStart;
    private _onTransitionEnd;
    animationStart(): void;
    animationEnd(): void;
    setTriggerElement(el: HTMLElement | null): void;
    setContentId(): void;
    updateAriaControls(): void;
    updateAriaExpanded(open: boolean): void;
    detachTriggerAria(): void;
    private _getTriggerElementById;
}
