/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IExpansionPanelAdapter } from './expansion-panel-adapter';
import { ExpansionPanelAnimationType, ExpansionPanelOrientation } from './expansion-panel-constants';
export interface IExpansionPanelCore {
    open: boolean;
    orientation: ExpansionPanelOrientation;
    animationType: ExpansionPanelAnimationType;
    trigger: string;
    triggerElement?: HTMLElement | null;
    dispatchToggleEvent(): void;
}
export declare class ExpansionPanelCore implements IExpansionPanelCore {
    private _adapter;
    private _open;
    private _orientation;
    private _animationType;
    private _trigger;
    private _clickListener;
    private _keydownListener;
    private _animationCompleteListener;
    private _slotListener;
    constructor(_adapter: IExpansionPanelAdapter);
    initialize(): Promise<void>;
    destroy(): void;
    private _handleContentSlotChange;
    private _clearTrigger;
    private _syncTrigger;
    private _onClick;
    private _onKeydown;
    private _onAnimationComplete;
    private _togglePanel;
    dispatchToggleEvent(): void;
    private _toggle;
    get open(): boolean;
    set open(value: boolean);
    get orientation(): ExpansionPanelOrientation;
    set orientation(value: ExpansionPanelOrientation);
    get animationType(): ExpansionPanelAnimationType;
    set animationType(value: ExpansionPanelAnimationType);
    get trigger(): string;
    set trigger(value: string);
    get triggerElement(): HTMLElement | null | undefined;
    set triggerElement(el: HTMLElement | null | undefined);
}
