/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseComponentDelegate, IBaseComponentDelegateConfig, IBaseComponentDelegateOptions } from '../core/delegates/base-component-delegate';
import { IFilePickerComponent } from './file-picker';
import { IFilePickerChangeEventData } from './file-picker-constants';
export type FilePickerComponentDelegateProps = Partial<IFilePickerComponent>;
export interface IFilePickerComponentDelegateOptions extends IBaseComponentDelegateOptions {
    primaryText?: string;
    secondaryText?: string;
    helperText?: string;
    buttonText?: string;
}
export interface IFilePickerComponentDelegateConfig extends IBaseComponentDelegateConfig<IFilePickerComponent, IFilePickerComponentDelegateOptions> {
}
export declare class FilePickerComponentDelegate extends BaseComponentDelegate<IFilePickerComponent, IFilePickerComponentDelegateOptions> {
    constructor(config?: IFilePickerComponentDelegateConfig);
    protected _build(): IFilePickerComponent;
    protected _configure(): void;
    onChange(cb: (evt: IFilePickerChangeEventData) => void): void;
}
