/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseButtonCore, IBaseButtonCore } from '../button/base/base-button-core';
import { IIconButtonAdapter } from './icon-button-adapter';
import { IconButtonDensity, IconButtonShape, IconButtonTheme, IconButtonVariant } from './icon-button-constants';
export interface IIconButtonCore extends IBaseButtonCore {
    toggle: boolean;
    pressed: boolean;
    variant: IconButtonVariant;
    theme: IconButtonTheme;
    shape: IconButtonShape;
    density: IconButtonDensity;
}
export declare class IconButtonCore extends BaseButtonCore<IIconButtonAdapter> implements IIconButtonCore {
    private _toggle;
    private _pressed;
    private _variant;
    private _theme;
    private _shape;
    private _density;
    constructor(adapter: IIconButtonAdapter);
    initialize(): void;
    protected _onClick(evt: MouseEvent): Promise<void>;
    private _onToggle;
    get toggle(): boolean;
    set toggle(value: boolean);
    get pressed(): boolean;
    set pressed(value: boolean);
    get variant(): IconButtonVariant;
    set variant(value: IconButtonVariant);
    get theme(): IconButtonTheme;
    set theme(value: IconButtonTheme);
    get shape(): IconButtonShape;
    set shape(value: IconButtonShape);
    get density(): IconButtonDensity;
    set density(value: IconButtonDensity);
}
