/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IIconComponent } from './icon';
import { BaseAdapter, IBaseAdapter } from '../core';
export interface IIconAdapter extends IBaseAdapter {
    canLazyLoad(): boolean;
    observeVisibility(listener: () => void): void;
    destroyVisibilityObserver(): void;
    setContent(content: Node | null): void;
    setViewBox(viewBox: string): void;
}
export declare class IconAdapter extends BaseAdapter<IIconComponent> implements IIconAdapter {
    private _observer;
    constructor(component: IIconComponent);
    canLazyLoad(): boolean;
    observeVisibility(listener: () => void): void;
    destroyVisibilityObserver(): void;
    setContent(element: Element | null): void;
    setViewBox(viewBox: string): void;
}
