/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IIconDescriptor } from './icon-registry';
/**
 * Creates an SVG element from a string of SVG content, and sanitizes it for injection into the DOM.
 */
export declare function createSanitizedSvg(svgContent: string | undefined, customViewBox?: string, usePartAttrs?: boolean): SVGElement | null;
export declare function getCachedIcon(key: string): IIconDescriptor | undefined;
export declare function awaitIconDefinition(key: string, listener: () => void): void;
export declare function removeIconListener(key: string, listener: () => void): void;
export declare function fetchIconContent(url: string, name: string): Promise<string>;
export declare function sanitizeExternalType(type: string): string;
