/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
export interface ILabelAware {
    labelClickedCallback(): void;
    labelChangedCallback(value: string | null): void;
}
/**
 * Determines if an object is label aware.
 * @param obj - The object to check.
 * @returns True if the object is label aware, false otherwise.
 */
export declare const isLabelAware: (obj: any) => obj is ILabelAware;
