/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../../core';
import { IOverlayComponent } from '../overlay';
import { IOverlayAware } from '../base/overlay-aware';
export interface IOverlayAwareAdapter<T extends IOverlayAware = IOverlayAware> extends IBaseAdapter<T> {
    readonly overlayElement: IOverlayComponent;
}
export declare abstract class OverlayAwareAdapter<T extends IOverlayAware> extends BaseAdapter<T> implements IOverlayAwareAdapter {
    protected _overlayElement: IOverlayComponent;
    constructor(component: T);
    protected abstract _initializeOverlayElement(): void;
    get overlayElement(): IOverlayComponent;
}
