/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { OverlayLightDismissReason } from '../overlay';
export declare const POPOVER_CONSTANTS: {
    elementName: string;
    observedAttributes: {
        ARROW: string;
        ANIMATION_TYPE: string;
        TRIGGER_TYPE: string;
        LONGPRESS_DELAY: string;
        PERSISTENT_HOVER: string;
        HOVER_DELAY: string;
        HOVER_DISMISS_DELAY: string;
        PRESET: string;
    };
    attributes: {
        OPEN: string;
        HOST: string;
        CONSTRAIN_VIEWPORT_WIDTH: string;
        ARROW: string;
        ANIMATION_TYPE: string;
        TRIGGER_TYPE: string;
        LONGPRESS_DELAY: string;
        PERSISTENT_HOVER: string;
        HOVER_DELAY: string;
        HOVER_DISMISS_DELAY: string;
        PRESET: string;
    };
    classes: {
        ARROW: string;
        EXITING: string;
    };
    selectors: {
        SURFACE: string;
        HOST: string;
    };
    parts: {
        ARROW: string;
    };
    events: {
        BEFORETOGGLE: string;
        TOGGLE: string;
    };
    defaults: {
        TRIGGER_TYPE: PopoverTriggerType;
        HOVER_DELAY: number;
        PRESET: PopoverPreset;
    };
};
export declare const POPOVER_HOVER_TIMEOUT = 500;
export type PopoverAnimationType = 'none' | 'zoom' | 'slide' | 'fade';
export type PopoverTriggerType = 'click' | 'hover' | 'focus' | 'longpress' | 'doubleclick' | 'contextmenu' | 'manual';
export type PopoverDismissReason = OverlayLightDismissReason | PopoverTriggerType | 'destroy';
export type PopoverPreset = 'popover' | 'dropdown' | 'list';
export interface IPopoverToggleEventData {
    newState: 'closed' | 'open';
    oldState: 'closed' | 'open';
}
