/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IProfileCardAdapter } from './profile-card-adapter';
export interface IProfileCardCore {
    fullName: string;
    email: string;
    signOut: boolean;
    profile: boolean;
    signOutText: string;
    profileText: string;
    avatarText: string;
    avatarIcon: string;
    avatarImageUrl: string;
    avatarLetterCount: number;
    focus(options?: FocusOptions): void;
}
export declare class ProfileCardCore implements IProfileCardCore {
    private _adapter;
    private _fullName;
    private _email;
    private _avatarText;
    private _avatarIcon;
    private _avatarImageUrl;
    private _avatarLetterCount;
    private _showSignOutButton;
    private _showProfileButton;
    private _signOutButtonText;
    private _profileButtonText;
    private _profileListener;
    private _signOutListener;
    constructor(_adapter: IProfileCardAdapter);
    initialize(): void;
    focus(options?: FocusOptions): void;
    private _setActionVisibility;
    private _onProfileButtonClick;
    private _onSignOutButtonClick;
    get fullName(): string;
    set fullName(value: string);
    get email(): string;
    set email(value: string);
    get avatarText(): string;
    set avatarText(value: string);
    get avatarIcon(): string;
    set avatarIcon(value: string);
    get avatarImageUrl(): string;
    set avatarImageUrl(value: string);
    get avatarLetterCount(): number;
    set avatarLetterCount(value: number);
    get signOut(): boolean;
    set signOut(value: boolean);
    get profile(): boolean;
    set profile(value: boolean);
    get signOutText(): string;
    set signOutText(value: string);
    get profileText(): string;
    set profileText(value: string);
}
