/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseComponent, IBaseComponent } from '../core/base/base-component';
export interface IProfileCardComponent extends IBaseComponent {
    fullName: string;
    email: string;
    signOut: boolean;
    profile: boolean;
    signOutText: string;
    profileText: string;
    avatarText: string;
    avatarIcon: string;
    avatarImageUrl: string;
    avatarLetterCount: number;
}
declare global {
    interface HTMLElementTagNameMap {
        'forge-profile-card': IProfileCardComponent;
    }
    interface HTMLElementEventMap {
        'forge-profile-card-sign-out': CustomEvent<void>;
        'forge-profile-card-profile': CustomEvent<void>;
    }
}
/**
 * @tag forge-profile-card
 */
export declare class ProfileCardComponent extends BaseComponent implements IProfileCardComponent {
    static get observedAttributes(): string[];
    private _core;
    constructor();
    connectedCallback(): void;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    fullName: string;
    email: string;
    signOut: boolean;
    profile: boolean;
    signOutText: string;
    profileText: string;
    avatarText: string;
    avatarIcon: string;
    avatarImageUrl: string;
    avatarLetterCount: number;
    focus(options?: FocusOptions): void;
}
