/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ISelectOption, ISelectOptionGroup } from './base-select-constants';
export declare enum SelectOptionType {
    Option = 0,
    Group = 1
}
/**
 * Determines if the provided options are of the specified type.
 * @param options The options either grouped or individual.
 * @param type The type of option to detect.
 */
export declare function isSelectOptionType(options: ISelectOption[] | ISelectOptionGroup[], type: SelectOptionType): boolean;
export declare function isOptionGroupObject(o: ISelectOption | ISelectOptionGroup): o is ISelectOptionGroup;
export declare function isOptionObject(o: ISelectOption | ISelectOptionGroup): o is ISelectOption;
