/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { SelectDropdownCore } from './select-dropdown-core';
import { IBaseSelectComponent, BaseSelectComponent } from '../core/base-select';
export interface ISelectDropdownComponent extends IBaseSelectComponent {
    target: string;
    selectedTextTarget: string;
    syncSelectedText: boolean;
}
declare global {
    interface HTMLElementTagNameMap {
        'forge-select-dropdown': ISelectDropdownComponent;
    }
    interface HTMLElementEventMap {
        'forge-select-dropdown-scrolled-bottom': CustomEvent<void>;
    }
}
/**
 * @tag forge-select-dropdown
 */
export declare class SelectDropdownComponent extends BaseSelectComponent<SelectDropdownCore> implements ISelectDropdownComponent {
    static get observedAttributes(): string[];
    constructor();
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    /** Sets the target element CSS selector */
    target: string;
    /** Sets the selected text element CSS selector */
    selectedTextTarget: string;
    /** Controls whether the selected text is synchronized to the target elements' text content. Default is false. */
    syncSelectedText: boolean;
}
