/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IStackAdapter } from './stack-adapter';
import { StackAlignment } from './stack-constants';
export interface IStackCore {
    inline: boolean;
    wrap: boolean;
    stretch: boolean;
    gap: string;
    alignment: StackAlignment;
    justify: StackAlignment;
}
export declare class StackCore implements IStackCore {
    private _adapter;
    private _inline;
    private _wrap;
    private _stretch;
    private _gap;
    private _alignment;
    private _justify;
    constructor(_adapter: IStackAdapter);
    /** Controls the direction of the stack. */
    get inline(): boolean;
    set inline(value: boolean);
    /** Controls the direction of the stack. */
    get wrap(): boolean;
    set wrap(value: boolean);
    /** Controls if the children within the stack should stretch in width */
    get stretch(): boolean;
    set stretch(value: boolean);
    /** Controls the gap amount between the children */
    get gap(): string;
    set gap(value: string);
    /** Controls the alignment of children */
    get alignment(): StackAlignment;
    set alignment(value: StackAlignment);
    /** Controls the justify-content of children */
    get justify(): StackAlignment;
    set justify(value: StackAlignment);
}
