/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
export declare const STEPPER_CONSTANTS: {
    elementName: "forge-stepper";
    classes: {
        STEPPER: string;
        LINEAR: string;
        ALTERNATIVE: string;
        CLUSTERED: string;
        FIXED: string;
        ALIGN_LEFT: string;
        ALIGN_CENTER: string;
        ALIGN_RIGHT: string;
        VERTICAL: string;
        FOCUSED: string;
    };
    selectors: {
        STEPPER: string;
    };
    attributes: {
        SELECTED_INDEX: string;
        LINEAR: string;
        ALTERNATIVE: string;
        LAYOUT_MODE: string;
        LAYOUT_ALIGN: string;
        DISABLED: string;
        VERTICAL: string;
    };
    numbers: {
        ARROW_LEFT_KEYCODE: number;
        ARROW_RIGHT_KEYCODE: number;
        END_KEYCODE: number;
        HOME_KEYCODE: number;
        ENTER_KEYCODE: number;
        SPACE_KEYCODE: number;
    };
    strings: {
        ARROW_LEFT_KEY: string;
        ARROW_RIGHT_KEY: string;
        ARROW_UP_KEY: string;
        ARROW_DOWN_KEY: string;
        END_KEY: string;
        ENTER_KEY: string;
        HOME_KEY: string;
        SPACE_KEY: string;
        TAB_KEY: string;
    };
    ACCEPTABLE_KEYS: string[];
    KEYCODE_MAP: Record<number, string>;
};
export interface IStepConfiguration {
    label: string;
    optionalLabel?: string;
    editable?: boolean;
    completed?: boolean;
    error?: boolean;
    disabled?: boolean;
    vertical?: boolean;
    expanded?: boolean;
    ignoreUserExpansion?: boolean;
}
export interface IStepperConfiguration {
    steps: IStepConfiguration[];
    selectedIndex: number;
    linear: boolean;
    alternative: boolean;
    layoutMode: StepperLayoutMode;
    layoutAlign: StepperLayoutAlign;
    vertical?: boolean;
}
export type StepperLayoutMode = 'fixed' | 'clustered';
export type StepperLayoutAlign = 'left' | 'center' | 'right';
