/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
export declare const SWITCH_CONSTANTS: {
    attributes: {
        CHECKED: string;
        /** @deprecated use `CHECKED` instead. */
        ON: string;
        /** @deprecated use `CHECKED` instead. */
        SELECTED: string;
        DEFAULT_CHECKED: string;
        /** @deprecated use `DEFAULT_CHECKED` instead. */
        DEFAULT_ON: string;
        VALUE: string;
        DENSE: string;
        DISABLED: string;
        REQUIRED: string;
        READONLY: string;
        ICON: string;
        LABEL_POSITION: string;
        TABINDEX: string;
    };
    observedAttributes: {
        CHECKED: string;
        /** @deprecated use `CHECKED` instead. */
        ON: string;
        /** @deprecated use `CHECKED` instead. */
        SELECTED: string;
        DEFAULT_CHECKED: string;
        /** @deprecated use `DEFAULT_CHECKED` instead. */
        DEFAULT_ON: string;
        VALUE: string;
        DENSE: string;
        DISABLED: string;
        REQUIRED: string;
        READONLY: string;
        ICON: string;
        LABEL_POSITION: string;
        TABINDEX: string;
    };
    classes: {
        HIDDEN: string;
    };
    selectors: {
        ROOT: string;
        LABEL: string;
        ICON_ON: string;
        ICON_OFF: string;
        STATE_LAYER: string;
    };
    elementName: "forge-switch";
    events: {
        CHANGE: string;
    };
    state: {
        ON: string;
        OFF: string;
    };
};
export type SwitchLabelPosition = 'start' | 'end';
export type SwitchIconVisibility = 'both' | 'none' | 'off' | 'on';
