/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ISortedItem, ISortedItemUpdate } from './types';
export declare class MultiSortManager {
    private _sortedColumns;
    get sortedColumns(): ISortedItem[];
    addSortColumn(column: ISortedItem): void;
    updateSortColumn(column: ISortedItemUpdate): void;
    setSortColumns(columns: ISortedItem[]): void;
    removeSortColumn(columnOrIndex: ISortedItem | number): void;
    isSortColumn(columnOrIndex: ISortedItem | number): boolean;
    clearMultiSort(): void;
    getSortColumn(columnIndex: number): ISortedItem | undefined;
    private _updateSortNumbers;
}
