/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
export declare const TABLE_CONSTANTS: {
    elementName: "forge-table";
    classes: {
        TABLE: string;
        TABLE_DENSE: string;
        TABLE_ROOMY: string;
        TABLE_RESIZABLE: string;
        TABLE_RESIZING: string;
        TABLE_RESIZE_HANDLE: string;
        TABLE_NO_WRAP_CONTENT: string;
        TABLE_LAYOUT_FIXED: string;
        TABLE_FILTER_VISIBLE: string;
        TABLE_FIXED: string;
        TABLE_HEAD: string;
        TABLE_HEAD_ROW: string;
        TABLE_HEAD_ROW_FILTER: string;
        TABLE_HEAD_CELL: string;
        TABLE_HEAD_CELL_CONTAINER: string;
        TABLE_HEAD_CELL_SORTABLE: string;
        TABLE_HEAD_CELL_SORT_ICON: string;
        TABLE_HEAD_CELL_TEXT: string;
        TABLE_HEAD_CELL_SORT_ICON_ACTIVE: string;
        TABLE_HEAD_CELL_SORTED_ASCENDING: string;
        TABLE_HEAD_CELL_SORTED_DESCENDING: string;
        TABLE_HEAD_CELL_SORT_ORDER: string;
        TABLE_HEAD_CELL_SORT_ORDER_HIDDEN: string;
        TABLE_BODY: string;
        TABLE_BODY_ROW: string;
        TABLE_BODY_ROW_SELECTED: string;
        TABLE_BODY_ROW_CLICKABLE: string;
        TABLE_BODY_CELL: string;
        TABLE_ROW: string;
        TABLE_ROW_EXPANDED: string;
        TABLE_ROW_EXPANDABLE_CONTENT: string;
        TABLE_ROW_EXPANDABLE_CONTENT_CELL: string;
        TABLE_CELL: string;
        TABLE_CELL_SELECT: string;
        TABLE_CELL_SELECT_CHECKBOX: string;
        TABLE_CELL_SELECT_CHECKBOX_CONTAINER: string;
        TABLE_CELL_SELECT_CHECKBOX_CONTAINER_ALIGN_RIGHT: string;
        TABLE_CELL_SELECT_CHECKBOX_CONTAINER_ALIGN_LEFT: string;
        TABLE_CELL_SELECT_CHECKBOX_CONTAINER_ALIGN_CENTER: string;
        TABLE_CELL_CONTAINER: string;
        TABLE_CELL_CONTAINER_TEXT: string;
        TABLE_CELL_CENTER: string;
        TABLE_CELL_RIGHT: string;
        TABLE_CELL_RESIZABLE: string;
    };
    selectors: {
        TABLE: string;
        CHECKBOX_INPUT: string;
        SELECT_ALL_TEMPLATE_CHECKBOX_INPUT: string;
        ROW_SELECTED: string;
    };
    attributes: {
        SELECT: string;
        MULTISELECT: string;
        SELECT_KEY: string;
        DENSE: string;
        ROOMY: string;
        FILTER: string;
        FIXED_HEADERS: string;
        LAYOUT_TYPE: string;
        WRAP_CONTENT: string;
        RESIZABLE: string;
        MIN_RESIZE_WIDTH: string;
        ALLOW_ROW_CLICK: string;
        MULTI_COLUMN_SORT: string;
        SELECT_CHECKBOX_ALIGNMENT: string;
        TOOLTIP_SELECT: string;
        TOOLTIP_SELECT_ALL: string;
        CHECKBOX_TYPE: string;
        CUSTOM_CELL_TEMPLATE: string;
        CUSTOM_CELL_TEMPLATE_STOP_PROPAGATION: string;
        SELECT_CHECKBOX: string;
    };
    events: {
        ROW_CLICK: string;
        SELECT: string;
        SELECT_DOUBLE: string;
        SELECT_ALL: string;
        SORT: string;
        FILTER: string;
        INITIALIZED: string;
        COLUMN_RESIZE: string;
    };
    strings: {
        SELECT_ALL: string;
        SELECT_ROW: string;
        DEFAULT_LAYOUT_TYPE: string;
    };
    icons: {
        SORT_DOWN: string;
    };
    numbers: {
        DEFAULT_FILTER_DEBOUNCE_TIME: number;
        MIN_RESIZE_WIDTH: number;
        RESIZE_HOVER_DURATION: number;
    };
};
