/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
declare const observedInputAttributes: readonly ["disabled", "placeholder"];
export declare const TEXT_FIELD_CONSTANTS: {
    elementName: "forge-text-field";
    observedAttributes: {
        SHOW_CLEAR: string;
    };
    attributes: {
        SHOW_CLEAR: string;
    };
    selectors: {
        FIELD: string;
        DEFAULT_SLOT: string;
        LABEL_SLOT: string;
        CLEAR_BUTTON_SLOT: string;
        FORGE_LABEL: "forge-label";
        INPUT: string;
    };
    observedInputAttributes: readonly ["disabled", "placeholder"];
    tagNames: {
        TEXTAREA: string;
        LABEL: string;
    };
    events: {
        CLEAR: string;
    };
};
export type TextFieldObservedInputAttributes = (typeof observedInputAttributes)[number];
export type TextFieldInputAttributeObserver = (name: TextFieldObservedInputAttributes, value: string | null) => void;
export type TextFieldValueChangeListener = (value: string | null) => void;
export {};
