/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../core/base/base-adapter';
import { IToastComponent } from './toast';
export interface IToastAdapter extends IBaseAdapter<IToastComponent> {
    show(): void;
    hide(): void;
    addCloseListener(listener: EventListener): void;
    removeCloseListener(listener: EventListener): void;
    addActionListener(listener: EventListener): void;
    removeActionListener(listener: EventListener): void;
    setDismissLabel(label: string): void;
    setActionText(text: string): void;
}
export declare class ToastAdapter extends BaseAdapter<IToastComponent> implements IToastAdapter {
    private _overlayElement;
    private _surfaceElement;
    private _actionButtonElement;
    private _closeButtonElement;
    constructor(component: IToastComponent);
    show(): void;
    hide(): Promise<void>;
    addCloseListener(listener: EventListener): void;
    removeCloseListener(listener: EventListener): void;
    addActionListener(listener: EventListener): void;
    removeActionListener(listener: EventListener): void;
    setDismissLabel(label: string): void;
    setActionText(text: string): void;
}
